Bug 1462525 - katello-service attempts to execute services in 'static' state, causing errors
katello-service attempts to execute services in 'static' state, causing errors
Status: VERIFIED
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Packaging (Show other bugs)
6.2.9
Unspecified Unspecified
medium Severity medium (vote)
: GA
: --
Assigned To: Eric Helms
Daniel Lobato Garcia
: FieldEngineering, PrioBumpField
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-18 09:16 EDT by Chris Duryee
Modified: 2017-08-23 05:08 EDT (History)
3 users (show)

See Also:
Fixed In Version: katello-3.4.4
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Foreman Issue Tracker 20431 None None None 2017-07-27 15:45 EDT

  None (edit)
Description Chris Duryee 2017-06-18 09:16:25 EDT
Description of problem:

If you run katello-remove on a system, it will set the postgres service to 'static' instead of removing it.

However, if you then install a capsule on the same system, katello-service checks to see whether or not to restart a service based on the result of 'systemctl is-enabled X'. This returns 0 for 'static' services, which causes katello-service to attempt to restart postgres, which no longer exists.

Version-Release number of selected component (if applicable): 6.2.9


How reproducible: every time


Steps to Reproduce:
1. install satellite to a system
2. katello-remove
3. install capsule

Actual results: katello-service start will raise an error about postgres


Expected results: no mention of postgres in katello-service start
Comment 2 Chris Duryee 2017-06-18 09:18:54 EDT
workaround:

mv /etc/systemd/system/postgresql.service /root
systemctl daemon-reload
Comment 4 Eric Helms 2017-07-27 15:45:54 EDT
Created redmine issue http://projects.theforeman.org/issues/20431 from this bug
Comment 5 pm-sat@redhat.com 2017-07-27 18:02:04 EDT
Upstream bug assigned to ehelms@redhat.com
Comment 6 pm-sat@redhat.com 2017-07-27 18:02:07 EDT
Upstream bug assigned to ehelms@redhat.com
Comment 7 pm-sat@redhat.com 2017-07-28 12:01:59 EDT
Moving this bug to POST for triage into Satellite 6 since the upstream issue http://projects.theforeman.org/issues/20431 has been resolved.
Comment 8 pm-sat@redhat.com 2017-08-03 18:02:04 EDT
Moving this bug to POST for triage into Satellite 6 since the upstream issue http://projects.theforeman.org/issues/20431 has been resolved.
Comment 9 Daniel Lobato Garcia 2017-08-23 05:08:06 EDT
Verified.

Version Tested: Satellite-6.3 Snap 11

I performed the following steps to verify this issue:

  - katello-remove
  - satellite-installer (installing just a capsule)
  - katello-service start works fine, the postgresql service doesn't exist anymore

Note You need to log in before you can comment on or make changes to this bug.